%define url_ver    %(echo %{version}|cut -d. -f1,2)

Name:           mate-terminal
Summary:        MATE terminal emulator
Version:        1.28.1
Release:        %mkrel 1
URL:            https://mate-desktop.org/
License:        GPLv2+
Group:          Graphical desktop/MATE
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
# (fc) add -geometry support
Patch0:         gnome-terminal-2.25.3-geometry.patch
# (fc) change default background (grey on black)
Patch2:         mate-terminal-1.19.1-background.patch

BuildRequires: intltool
BuildRequires: itstool
BuildRequires: mate-common >= %{url_ver}
BuildRequires: xmllint
BuildRequires: yelp-tools
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(vte-2.91)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(dconf)
BuildRequires: pkgconfig(mate-desktop-2.0) >= %{url_ver}
BuildRequires: autoconf-archive

%description
Mate-terminal is a terminal emulator for MATE. It supports translucent
backgrounds, opening multiple terminals in a single window (tabs) and
clickable URLs.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
        --disable-static \
        --disable-schemas-compile
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/mate-terminal/

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc AUTHORS NEWS README ChangeLog
%license COPYING
%{_mandir}/man1/*
%{_bindir}/mate-terminal
%{_bindir}/mate-terminal.wrapper
%{_datadir}/mate-terminal/
%{_datadir}/applications/mate-terminal.desktop
%{_datadir}/glib-2.0/schemas/org.mate.terminal.gschema.xml
%{_datadir}/metainfo/mate-terminal.appdata.xml


%changelog
* Sun Mar 24 2024 wally <wally> 1.28.1-1.mga10
+ Revision: 2051776
- new version 1.28.1

* Tue May 30 2023 kekepower <kekepower> 1.26.1-1.mga9
+ Revision: 1959804
- Update to version 1.26.1

* Thu Mar 31 2022 umeabot <umeabot> 1.26.0-2.mga9
+ Revision: 1836993
- Mageia 9 Mass Rebuild

* Mon Aug 09 2021 wally <wally> 1.26.0-1.mga9
+ Revision: 1740869
- new version 1.26.0

* Mon Aug 24 2020 kekepower <kekepower> 1.24.1-1.mga8
+ Revision: 1618728
- Update to version 1.24.1
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 21 2020 umeabot <umeabot> 1.24.0-2.mga8
+ Revision: 1548109
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 kekepower <kekepower> 1.24.0-1.mga8
+ Revision: 1488837
- Update to version 1.24.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri May 10 2019 kekepower <kekepower> 1.22.1-1.mga7
+ Revision: 1397033
- Update to version 1.22.1

* Wed Mar 13 2019 kekepower <kekepower> 1.22.0-1.mga7
+ Revision: 1375511
- Update to version 1.22.0

* Wed Dec 26 2018 kekepower <kekepower> 1.20.2-1.mga7
+ Revision: 1345035
- Update to version 1.20.2

* Sat Dec 01 2018 kekepower <kekepower> 1.20.1-1.mga7
+ Revision: 1337267
- Update to version 1.20.1
- Rolled back to r1299483

* Mon Nov 26 2018 kekepower <kekepower> 1.21.0-1.mga7
+ Revision: 1335532
- Update to version 1.21.2

* Sun Sep 23 2018 umeabot <umeabot> 1.20.0-2.mga7
+ Revision: 1299483
- Mageia 7 Mass Rebuild

* Thu Feb 15 2018 tarakbumba <tarakbumba> 1.20.0-1.mga7
+ Revision: 1201375
- Updated to 1.20.0 version

* Sat Dec 30 2017 tarakbumba <tarakbumba> 1.19.1-1.mga7
+ Revision: 1187414
- Updated to 1.19.1 version

* Sun Oct 29 2017 tarakbumba <tarakbumba> 1.19.0-1.mga7
+ Revision: 1174645
- Update to 1.19.0 version

* Sat Sep 16 2017 cjw <cjw> 1.18.1-2.mga7
+ Revision: 1154779
- rebuild for new find_lang

* Tue May 16 2017 tarakbumba <tarakbumba> 1.18.1-1.mga6
+ Revision: 1102162
- Update to 1.18.1 version

* Wed Mar 15 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092645
- Update to 1.18.0 version
- Updated to 1.17.0 version

* Sat Dec 24 2016 wally <wally> 1.16.1-1.mga6
+ Revision: 1077108
- new version 1.16.1
- build with gtk3

* Thu Dec 08 2016 luigiwalser <luigiwalser> 1.14.0-2.mga6
+ Revision: 1073396
- remove old post scriptlet

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001211
- Update to 1.14.0 version

* Sun Mar 13 2016 tarakbumba <tarakbumba> 1.13.2-1.mga6
+ Revision: 989954
- Update to 1.13.2 version

* Thu Feb 25 2016 tarakbumba <tarakbumba> 1.13.1-1.mga6
+ Revision: 979288
- Update to 1.13.1 version

* Mon Feb 08 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 942460
- Update to 1.13.0 version

* Fri Dec 04 2015 tarakbumba <tarakbumba> 1.12.1-1.mga6
+ Revision: 908159
- Update to 1.12.1 version
- Prepare specfile for possible gtk3 build

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898505
-Update to 1.12.0 version

* Sat Sep 05 2015 wally <wally> 1.10.1-1.mga6
+ Revision: 872992
- new version 1.10.1

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 837345
- Update to 1.10.0 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-2.mga5
+ Revision: 738904
- Second Mageia 5 Mass Rebuild

* Mon Sep 29 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 731523
- Update to 1.8.1 version
- Use autosetup macro at prep stage

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-2.mga5
+ Revision: 682206
- Mageia 5 Mass Rebuild

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600089
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598060
- Update to 1.7.x version

* Thu Jan 09 2014 tarakbumba <tarakbumba> 1.6.2-1.mga4
+ Revision: 565727
- Bugfix release update: 1.6.2

* Sat Oct 19 2013 umeabot <umeabot> 1.6.1-2.mga4
+ Revision: 531079
- Mageia 4 Mass Rebuild

* Fri Jun 21 2013 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 445463
- imported package mate-terminal

